(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9315,        311]
NotebookOptionsPosition[      8381,        280]
NotebookOutlinePosition[      8723,        295]
CellTagsIndexPosition[      8680,        292]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[TextData[StyleBox["F(x) = -cv",
 FontSize->36]], "Text",
 CellChangeTimes->{{3.4243477640625*^9, 3.42434781459375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "c"}], " ", 
     RowBox[{
      RowBox[{"x", "'"}], "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"m", " ", 
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.424345620953125*^9, 3.424345656515625*^9}, {
  3.424346453140625*^9, 3.42434646978125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"val1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Xo", "\[Rule]", "0"}], ",", 
     RowBox[{"Vo", "\[Rule]", "100"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"c", "\[Rule]", "2"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.4243458930625*^9, 3.42434593303125*^9}, 
   3.424346518921875*^9, 3.424346688328125*^9, {3.424348701546875*^9, 
   3.42434870534375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"val2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Xo", "\[Rule]", "0"}], ",", 
     RowBox[{"Vo", "\[Rule]", "10"}], ",", 
     RowBox[{"m", "\[Rule]", "1"}], ",", 
     RowBox[{"c", "\[Rule]", "2"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.424346683234375*^9, 3.42434669259375*^9}}],

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"EQ", ",", 
      RowBox[{
       RowBox[{"x", "[", "0", "]"}], "\[Equal]", "Xo"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "Vo"}]}], "}"}], ",", 
    RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424345666296875*^9, 3.4243457675625*^9}, {
  3.424345938625*^9, 3.42434595853125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val1"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val1"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"t\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"X\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.424346262328125*^9, 3.424346341875*^9}, 
   3.424346697890625*^9, {3.424348187265625*^9, 3.42434818871875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val2"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val2"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"t\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"X\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.424346709421875*^9, 3.424346711109375*^9}, {
  3.424348218203125*^9, 3.424348220140625*^9}}],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val1"}], ",", 
   RowBox[{"t", "\[Rule]", "Infinity"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424345774625*^9, 3.4243458480625*^9}, {
  3.424346219140625*^9, 3.424346246296875*^9}, {3.42434632528125*^9, 
  3.42434633478125*^9}, {3.4243467490625*^9, 3.424346752875*^9}}],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val2"}], ",", 
   RowBox[{"t", "\[Rule]", "Infinity"}]}], "]"}]], "Input",
 CellChangeTimes->{3.42434677365625*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"x", ",", "EQ", ",", "dsol"}], "]"}]], "Input",
 CellChangeTimes->{{3.4243467876875*^9, 3.4243468035*^9}, {
  3.424347940421875*^9, 3.424347975421875*^9}}],

Cell[TextData[{
 StyleBox["F(x) = - c ",
  FontSize->36],
 Cell[BoxData[
  FormBox[
   SuperscriptBox["v", "2"], TraditionalForm]],
  FontSize->36]
}], "Text",
 CellChangeTimes->{{3.42434782996875*^9, 3.424347855609375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "c"}], " ", 
     SuperscriptBox[
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], "2"]}], "\[Equal]", 
    RowBox[{"m", " ", 
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.424347897484375*^9, 3.424347955125*^9}}],

Cell[BoxData[
 RowBox[{"dsol", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"EQ", ",", 
      RowBox[{
       RowBox[{"x", "[", "0", "]"}], "\[Equal]", "Xo"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "Vo"}]}], "}"}], ",", 
    RowBox[{"x", "[", "t", "]"}], ",", "t"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val1"}], "//", 
  "Simplify"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val2"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val1"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"t\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"X\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.424348258046875*^9, 3.42434825928125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val2"}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val2"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"t\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"X\",
FontSize->24,
FontColor->RGBColor[0, 0, 1]]\)\>\""}], "}"}]}]}], "]"}]}], "Input"],

Cell[BoxData[
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "[", "t", "]"}], "/.", "dsol"}], "/.", "val1"}], ",", 
   RowBox[{"t", "\[Rule]", "Infinity"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.42434830359375*^9, {3.424348424921875*^9, 3.424348461921875*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 124, 2, 55, "Text"],
Cell[814, 28, 391, 12, 31, "Input"],
Cell[1208, 42, 431, 11, 31, "Input"],
Cell[1642, 55, 335, 9, 31, "Input"],
Cell[1980, 66, 480, 13, 31, "Input"],
Cell[2463, 81, 758, 23, 60, "Input"],
Cell[3224, 106, 739, 23, 60, "Input"],
Cell[3966, 131, 404, 9, 31, "Input"],
Cell[4373, 142, 247, 7, 31, "Input"],
Cell[4623, 151, 203, 4, 31, "Input"],
Cell[4829, 157, 224, 8, 55, "Text"],
Cell[5056, 167, 369, 12, 31, "Input"],
Cell[5428, 181, 371, 11, 31, "Input"],
Cell[5802, 194, 145, 5, 31, "Input"],
Cell[5950, 201, 689, 22, 60, "Input"],
Cell[6642, 225, 624, 21, 60, "Input"],
Cell[7269, 248, 296, 8, 31, "Input"],
Cell[7568, 258, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
