(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15999,        500]
NotebookOptionsPosition[     14778,        462]
NotebookOutlinePosition[     15123,        477]
CellTagsIndexPosition[     15080,        474]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[TextData[StyleBox["f(y) = mg - cv",
 FontSize->36]], "Text",
 CellChangeTimes->{{3.42434864978125*^9, 3.42434866271875*^9}, {
   3.424348909234375*^9, 3.42434896515625*^9}, 3.424350937296875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQ2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "m"}], " ", "g"}], "\[Equal]", 
    RowBox[{"m", " ", 
     RowBox[{
      RowBox[{"y", "''"}], "[", "t", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.424349545203125*^9, 3.42434955721875*^9}, 
   3.424349604546875*^9, 3.42435097353125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQ1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "m"}], " ", "g"}], "-", 
     RowBox[{"c", " ", 
      RowBox[{
       RowBox[{"y", "'"}], "[", "t", "]"}]}]}], "\[Equal]", 
    RowBox[{"m", " ", 
     RowBox[{
      RowBox[{"y", "''"}], "[", "t", "]"}]}]}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"dsol1", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"EQ2", ",", 
      RowBox[{
       RowBox[{"y", "[", "0", "]"}], "\[Equal]", "h"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "Vo"}]}], "}"}], ",", 
    RowBox[{"y", "[", "t", "]"}], ",", "t"}], "]"}]}]], "Input",
 CellChangeTimes->{
  3.4243497355*^9, {3.424350980890625*^9, 3.424350985984375*^9}}],

Cell[BoxData[
 RowBox[{"dsol2", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"EQ1", ",", 
      RowBox[{
       RowBox[{"y", "[", "0", "]"}], "\[Equal]", "h"}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "Vo"}]}], "}"}], ",", 
    RowBox[{"y", "[", "t", "]"}], ",", "t"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424349563453125*^9, 3.42434957078125*^9}, 
   3.4243497373125*^9, {3.424350994140625*^9, 3.42435099740625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cons1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[Rule]", 
      RowBox[{"32", " ", 
       SuperscriptBox["10", "3"]}]}], ",", 
     RowBox[{"Vo", "\[Rule]", "0"}], ",", 
     RowBox[{"m", "\[Rule]", "70"}], ",", 
     RowBox[{"g", "\[Rule]", "9.8"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{3.4243494243125*^9, 3.4243494574375*^9, 
  3.42435101334375*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cons2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[Rule]", 
      RowBox[{"32", " ", 
       SuperscriptBox["10", "3"]}]}], ",", 
     RowBox[{"Vo", "\[Rule]", "0"}], ",", 
     RowBox[{"m", "\[Rule]", "70"}], ",", 
     RowBox[{"c", "\[Rule]", ".5"}], ",", 
     RowBox[{"g", "\[Rule]", "9.8"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.42434902971875*^9, 3.424349121359375*^9}, 
   3.424349192125*^9, {3.42434922709375*^9, 3.4243492585*^9}, 
   3.424349426046875*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "/.", "dsol1"}], "/.", "cons1"}], "}"}],
      "\[Equal]", "0"}], ",", "t"}], "]"}], "[", 
  RowBox[{"[", "2", "]"}], "]"}]], "Input",
 CellChangeTimes->{
  3.42434947909375*^9, {3.424349640984375*^9, 3.424349649125*^9}, {
   3.424349769796875*^9, 3.424349778265625*^9}, 3.424351036546875*^9}],

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], "/.", "dsol2"}], "/.", "cons2"}], "}"}], 
    "\[Equal]", "0"}], ",", "t"}], "]"}]], "Input",
 CellChangeTimes->{{3.42434913140625*^9, 3.4243491665*^9}, {
   3.424349336515625*^9, 3.424349350640625*^9}, 3.424349429359375*^9, {
   3.424349786953125*^9, 3.42434979746875*^9}, 3.424351041484375*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"c", ",", "v", ",", "g"}], "]"}]], "Input",
 CellChangeTimes->{{3.424349871984375*^9, 3.424349881703125*^9}, {
  3.424351065015625*^9, 3.42435106596875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"cons3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"h", "\[Rule]", 
      RowBox[{"32", " ", 
       SuperscriptBox["10", "3"]}]}], ",", 
     RowBox[{"Vo", "\[Rule]", "0"}], ",", 
     RowBox[{"m", "\[Rule]", "70"}], ",", 
     RowBox[{"H", "\[Rule]", 
      RowBox[{"8", " ", 
       SuperscriptBox["10", "3"]}]}], ",", 
     RowBox[{"re", "\[Rule]", 
      RowBox[{"6370", " ", 
       SuperscriptBox["10", "3"]}]}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.42434984634375*^9, 3.424349867875*^9}, {
  3.42435000015625*^9, 3.424350016125*^9}, {3.424350103203125*^9, 
  3.424350138546875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"y", "[", "t", "]"}], "]"}], ":=", 
   RowBox[{".5", " ", 
    SuperscriptBox["E", 
     FractionBox[
      RowBox[{"-", 
       RowBox[{"y", "[", "t", "]"}]}], "H"]]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"y", "[", "t", "]"}], "]"}], ":=", 
   FractionBox["9.8", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{"y", "[", "t", "]"}], "re"]}], ")"}], "2"]]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.424349903875*^9, 3.424349988125*^9}, {
  3.424350020703125*^9, 3.424350097859375*^9}, {3.424350144046875*^9, 
  3.42435014984375*^9}, {3.42435044659375*^9, 3.424350474203125*^9}, {
  3.42435067040625*^9, 3.424350673234375*^9}, {3.424350775140625*^9, 
  3.424350852921875*^9}, {3.424350887859375*^9, 3.424350890609375*^9}, {
  3.424351053421875*^9, 3.424351054859375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"EQ3", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"-", "m"}], " ", 
      RowBox[{"g", "[", 
       RowBox[{"y", "[", "t", "]"}], "]"}]}], "-", 
     RowBox[{
      RowBox[{"c", "[", 
       RowBox[{"y", "[", "t", "]"}], "]"}], " ", 
      RowBox[{
       RowBox[{"y", "'"}], "[", "t", "]"}]}]}], "\[Equal]", 
    RowBox[{"m", " ", 
     RowBox[{
      RowBox[{"y", "''"}], "[", "t", "]"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.42435059328125*^9, 3.424350603171875*^9}, {
  3.4243507685*^9, 3.4243507726875*^9}, {3.42435090415625*^9, 
  3.42435092053125*^9}}],

Cell[BoxData[
 StyleBox[
  RowBox[{"(*", "\[IndentingNewLine]", 
   RowBox[{"dsol3", "=", 
    RowBox[{"DSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"EQ3", ",", 
         RowBox[{
          RowBox[{"y", "[", "0", "]"}], "\[Equal]", "h"}], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "Vo"}]}], "}"}], "/.",
        "cons3"}], ",", 
      RowBox[{"y", "[", "t", "]"}], ",", "t"}], "]"}]}], 
   "\[IndentingNewLine]", "*)"}],
  FontColor->RGBColor[0, 0, 1]]], "Input",
 CellChangeTimes->{{3.42436875065625*^9, 3.424368763484375*^9}}],

Cell[BoxData[
 RowBox[{"ndsol3", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"EQ3", ",", 
       RowBox[{
        RowBox[{"y", "[", "0", "]"}], "\[Equal]", "h"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "'"}], "[", "0", "]"}], "\[Equal]", "Vo"}]}], "}"}], "/.",
      "cons3"}], ",", 
    RowBox[{"y", "[", "t", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "100"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.424350610703125*^9, 3.424350613828125*^9}, {
   3.42435069553125*^9, 3.42435072721875*^9}, {3.4243507888125*^9, 
   3.424350793890625*^9}, 3.424351354484375*^9}],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"y", "[", "t", "]"}], "/.", "ndsol3"}], "/.", "cons3"}], 
      "}"}], "\[Equal]", "0"}], ",", "t"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.42435144734375*^9, 3.42435150459375*^9}}],

Cell[BoxData[
 RowBox[{"FindRoot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"y", "[", "t", "]"}], "/.", "ndsol3"}], "/.", "cons3"}], "}"}],
     "\[Equal]", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "80"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.4243516990625*^9, {3.424351731*^9, 3.424351758234375*^9}}
  ],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"y", "[", "t", "]"}], "/.", "ndsol3"}], "/.", "cons3"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "82"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     StyleBox[
      RowBox[{
       RowBox[{"\:0632\:0645\:0627\:0646", 
        RowBox[{"(", "t", ")"}]}], ",", 
       RowBox[{"\:0627\:0631\:062a\:0641\:0627\:0639", 
        RowBox[{"(", "m", ")"}]}]}],
      FontSize->18,
      FontColor->RGBColor[0, 0, 1]], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424352316921875*^9, 3.424352354296875*^9}, {
  3.42437058796875*^9, 3.4243706045*^9}, {3.42437064271875*^9, 
  3.424370749296875*^9}}],

Cell[TextData[StyleBox["Velocity Plot :",
 FontSize->24,
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.42435241940625*^9, 3.42435244053125*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "[", "t", "]"}], "/.", "ndsol3"}], "/.", "cons3"}], 
       "}"}], ",", "t"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "82"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     StyleBox[
      RowBox[{
       RowBox[{"\:0632\:0645\:0627\:0646", 
        RowBox[{"(", "t", ")"}]}], ",", 
       RowBox[{"\:0633\:0631\:0639\:062a", 
        RowBox[{"(", "m", ")"}]}]}],
      FontSize->18,
      FontColor->RGBColor[0, 0, 1]], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424351981828125*^9, 3.4243520936875*^9}, 
   3.424370576265625*^9, {3.424370805625*^9, 3.4243708223125*^9}}],

Cell[TextData[StyleBox["Accelerator Plot :",
 FontSize->24,
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.4243524739375*^9, 3.4243524869375*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"y", "[", "t", "]"}], "/.", "ndsol3"}], "/.", "cons3"}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "2"}], "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "82"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     StyleBox[
      RowBox[{
       RowBox[{"\:0632\:0645\:0627\:0646", 
        RowBox[{"(", "t", ")"}]}], ",", 
       RowBox[{"\:0634\:062a\:0627\:0628", 
        RowBox[{"(", "m", ")"}]}]}],
      FontSize->18,
      FontColor->RGBColor[0, 0, 1]], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42435238225*^9, 3.42435238971875*^9}, {
  3.42437083334375*^9, 3.42437084878125*^9}}],

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.05", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"y", "[", "t", "]"}], "/.", "ndsol3"}], "/.", 
             "cons3"}]}], "}"}], "//", "Flatten"}], "]"}]}], "}"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"Axes", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"32000", ",", "0"}], "}"}]}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "82", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424352591859375*^9, 3.42435259246875*^9}, {
   3.4243526739375*^9, 3.42435267734375*^9}, {3.42435276128125*^9, 
   3.424352844171875*^9}, 3.424353092296875*^9, {3.424353438015625*^9, 
   3.424353448828125*^9}}],

Cell[BoxData[
 RowBox[{"Animate", "[", 
  RowBox[{
   RowBox[{"Show", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "0.05", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"y", "[", "t", "]"}], "/.", "ndsol3"}], "/.", 
             "cons3"}]}], "}"}], "//", "Flatten"}], "]"}]}], "}"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
     RowBox[{"Axes", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "0.1"}], ",", "0.1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"32000", ",", "0"}], "}"}]}], "}"}]}]}], "]"}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "82", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424353937078125*^9, 3.424353939046875*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{600, 527},
WindowMargins->{{147, Automatic}, {Automatic, 39}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 200, 3, 55, "Text"],
Cell[890, 29, 337, 10, 31, "Input"],
Cell[1230, 41, 333, 12, 31, "Input"],
Cell[1566, 55, 458, 13, 31, "Input"],
Cell[2027, 70, 506, 13, 31, "Input"],
Cell[2536, 85, 414, 12, 33, "Input"],
Cell[2953, 99, 527, 14, 33, "Input"],
Cell[3483, 115, 455, 13, 31, "Input"],
Cell[3941, 130, 441, 11, 31, "Input"],
Cell[4385, 143, 205, 4, 31, "Input"],
Cell[4593, 149, 644, 18, 33, "Input"],
Cell[5240, 169, 951, 27, 88, "Input"],
Cell[6194, 198, 617, 19, 31, "Input"],
Cell[6814, 219, 625, 18, 72, "Input"],
Cell[7442, 239, 664, 18, 31, "Input"],
Cell[8109, 259, 336, 10, 31, "Input"],
Cell[8448, 271, 375, 12, 31, "Input"],
Cell[8826, 285, 722, 20, 65, "Input"],
Cell[9551, 307, 161, 3, 41, "Text"],
Cell[9715, 312, 823, 24, 55, "Input"],
Cell[10541, 338, 162, 3, 41, "Text"],
Cell[10706, 343, 855, 26, 65, "Input"],
Cell[11564, 371, 1280, 34, 132, "Input"],
Cell[12847, 407, 1115, 31, 132, "Input"],
Cell[13965, 440, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
